Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role
Interface RolePackage.Literals

Enclosing interface:
  RolePackage

    public static interface RolePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` | `ROLE` The meta object literal for the '`Role`' class.
`static EReference` | `ROLE__CONDITION_QUERY` The meta object literal for the 'Condition Query' reference feature.
`static EClass` | `ROLE_ATTRIBUTE` The meta object literal for the '`Attribute`' class.
`static EClass` | `ROLE_REFERENCE` The meta object literal for the '`Reference`' class.
`static EClass` | `ROLE_SET` The meta object literal for the '`Set`' class.
`static EReference` | `ROLE_SET__EXTENDED_PACKAGE` The meta object literal for the 'Extended Package' reference feature.
`static EReference` | `ROLE_SET__ROLES` The meta object literal for the 'Roles' reference list feature.
`static EClass` | `ROLE_STRUCTURAL_FEATURE` The meta object literal for the '`Structural Feature`' class.
`static EReference` | `ROLE_STRUCTURAL_FEATURE__VALUE_QUERY` The meta object literal for the 'Value Query' reference feature.
`static EClass` | `SHORTCUT` The meta object literal for the '`Shortcut`' class.
`static EReference` | `SHORTCUT__OPPOSITE_REFERENCE` The meta object literal for the 'Opposite Reference' reference feature.
`static EReference` | `SHORTCUT__PATH` The meta object literal for the 'Path' reference list feature.

Field Detail

### ROLE

    static final EClass ROLE

  The meta object literal for the '`Role`' class.

  See Also:
    `RoleImpl`, `RolePackageImpl.getRole()`

### ROLE__CONDITION_QUERY

    static final EReference ROLE__CONDITION_QUERY

  The meta object literal for the 'Condition Query' reference feature.

### ROLE_ATTRIBUTE

    static final EClass ROLE_ATTRIBUTE

  The meta object literal for the '`Attribute`' class.

  See Also:
    `RoleAttributeImpl`, `RolePackageImpl.getRoleAttribute()`

### ROLE_REFERENCE

    static final EClass ROLE_REFERENCE

  The meta object literal for the '`Reference`' class.

  See Also:
    `RoleReferenceImpl`, `RolePackageImpl.getRoleReference()`

### ROLE_STRUCTURAL_FEATURE

    static final EClass ROLE_STRUCTURAL_FEATURE

  The meta object literal for the '`Structural Feature`' class.

  See Also:
    `RoleStructuralFeatureImpl`, `RolePackageImpl.getRoleStructuralFeature()`

### ROLE_STRUCTURAL_FEATURE__VALUE_QUERY

    static final EReference ROLE_STRUCTURAL_FEATURE__VALUE_QUERY

  The meta object literal for the 'Value Query' reference feature.

### ROLE_SET

    static final EClass ROLE_SET

  The meta object literal for the '`Set`' class.

  See Also:
    `RoleSetImpl`, `RolePackageImpl.getRoleSet()`

### ROLE_SET__EXTENDED_PACKAGE

    static final EReference ROLE_SET__EXTENDED_PACKAGE

  The meta object literal for the 'Extended Package' reference feature.

### ROLE_SET__ROLES

    static final EReference ROLE_SET__ROLES

  The meta object literal for the 'Roles' reference list feature.

### SHORTCUT

    static final EClass SHORTCUT

  The meta object literal for the '`Shortcut`' class.

  See Also:
    `ShortcutImpl`, `RolePackageImpl.getShortcut()`

### SHORTCUT__PATH

    static final EReference SHORTCUT__PATH

  The meta object literal for the 'Path' reference list feature.

### SHORTCUT__OPPOSITE_REFERENCE

    static final EReference SHORTCUT__OPPOSITE_REFERENCE

  The meta object literal for the 'Opposite Reference' reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD